Package picard.illumina.parser

## Class IlluminaDataProvider

- java.lang.Object
- - picard.illumina.parser.BaseIlluminaDataProvider
  - - picard.illumina.parser.IlluminaDataProvider

- All Implemented Interfaces:
    `AutoCloseable`, `Iterable<ClusterData>`, `Iterator<ClusterData>`

      public class IlluminaDataProvider
      extends BaseIlluminaDataProvider

  Parse various formats and versions of Illumina Basecall files, and use them the to populate ClusterData objects. Clients of this code should use IlluminaDataProviderFactory to create an IlluminaDataProvider. IlluminaDataProvider is immutable after construction.

- - ### Field Summary

    - ### Fields inherited from class picard.illumina.parser.BaseIlluminaDataProvider

      `lane`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `boolean` | `hasNext()` |
    `ClusterData` | `next()` |
    `void` | `remove()` |
    `void` | `seekToTile​(int oneBasedTileNumber)` | Jump so that the next record returned will be from the specified tile.

    - ### Methods inherited from class picard.illumina.parser.BaseIlluminaDataProvider

      `addData, addData, addData, addReadData, addReadData, addReadData, iterator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Returns:
        True if we have more clusters to read

    - #### next

          public ClusterData next()

      Returns:
        Current cluster data populated with only the data that matches one of the data types in dataTypes.

    - #### remove

          public void remove()

    - #### seekToTile

          public void seekToTile​(int oneBasedTileNumber)

      Jump so that the next record returned will be from the specified tile.

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `BaseIlluminaDataProvider`